Skip to main content
POST
/
api
/
channels
Create User Channel
curl --request POST \
  --url https://api.example.com/api/channels \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "channel_type": "<string>",
  "config": {},
  "channel_name": "<string>",
  "is_active": true
}
'
{
  "channel_type": "<string>",
  "config": {},
  "id": 123,
  "user_id": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "channel_name": "<string>",
  "is_active": true,
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.xagent.run/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
channel_type
string
required

e.g. telegram, feishu

config
Config · object
required

Channel specific configuration

channel_name
string | null

User-friendly name

is_active
boolean
default:true

Response

Successful Response

channel_type
string
required

e.g. telegram, feishu

config
Config · object
required

Channel specific configuration

id
integer
required
user_id
integer
required
created_at
string<date-time>
required
channel_name
string | null

User-friendly name

is_active
boolean
default:true
updated_at
string<date-time> | null